package demo.inflector;

import generated.inflector.InflectedForm;
import generated.inflector.InflectorService;
import generated.inflector.InflectorServiceService;
import generated.inflector.InvalidQueryException;
import generated.inflector.Language;

import java.util.List;


public class Main {

	public static void main(String[] args) throws InvalidQueryException {
		InflectorServiceService serviceService = new InflectorServiceService();
		InflectorService service = serviceService.getInflectorServicePort();
		String query = "carte";
		List<InflectedForm> inflectedForms = service.inflect(query, Language.RO);
		System.out.printf("Forme flexionare pentru cuvântul \"%s\" (%d forme)\n", query, inflectedForms.size());
		for (InflectedForm inflectedForm: inflectedForms) {
			System.out.printf("\t%s - %s\n", inflectedForm.getInflectedForm(), inflectedForm.getPosCodeDescription());
		}
	}
}
