package generated.lemmatizer;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the generated.lemmatizer package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

	private final static QName _InvalidQueryException_QNAME = new QName(
			"http://service.webservice.archeus.com/", "InvalidQueryException");
	private final static QName _Lemmatize_QNAME = new QName(
			"http://service.webservice.archeus.com/", "lemmatize");
	private final static QName _LemmatizeResponse_QNAME = new QName(
			"http://service.webservice.archeus.com/", "lemmatizeResponse");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package: generated.lemmatizer
	 * 
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link CanonicalForm }
	 * 
	 */
	public CanonicalForm createCanonicalForm() {
		return new CanonicalForm();
	}

	/**
	 * Create an instance of
	 * {@link ComArcheusWebserviceExceptionInvalidQueryException }
	 * 
	 */
	public ComArcheusWebserviceExceptionInvalidQueryException createComArcheusWebserviceExceptionInvalidQueryException() {
		return new ComArcheusWebserviceExceptionInvalidQueryException();
	}

	/**
	 * Create an instance of {@link Lemmatize }
	 * 
	 */
	public Lemmatize createLemmatize() {
		return new Lemmatize();
	}

	/**
	 * Create an instance of {@link LemmatizeResponse }
	 * 
	 */
	public LemmatizeResponse createLemmatizeResponse() {
		return new LemmatizeResponse();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link ComArcheusWebserviceExceptionInvalidQueryException }{@code >}
	 * 
	 */
	@XmlElementDecl(namespace = "http://service.webservice.archeus.com/", name = "InvalidQueryException")
	public JAXBElement<ComArcheusWebserviceExceptionInvalidQueryException> createInvalidQueryException(
			ComArcheusWebserviceExceptionInvalidQueryException value) {
		return new JAXBElement<ComArcheusWebserviceExceptionInvalidQueryException>(
				_InvalidQueryException_QNAME,
				ComArcheusWebserviceExceptionInvalidQueryException.class, null,
				value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Lemmatize }
	 * {@code >}
	 * 
	 */
	@XmlElementDecl(namespace = "http://service.webservice.archeus.com/", name = "lemmatize")
	public JAXBElement<Lemmatize> createLemmatize(Lemmatize value) {
		return new JAXBElement<Lemmatize>(_Lemmatize_QNAME, Lemmatize.class,
				null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}
	 * {@link LemmatizeResponse }{@code >}
	 * 
	 */
	@XmlElementDecl(namespace = "http://service.webservice.archeus.com/", name = "lemmatizeResponse")
	public JAXBElement<LemmatizeResponse> createLemmatizeResponse(
			LemmatizeResponse value) {
		return new JAXBElement<LemmatizeResponse>(_LemmatizeResponse_QNAME,
				LemmatizeResponse.class, null, value);
	}

}
